Bug 451992 - State of cursor does not change properly during drag-and-drop on Wayland
Summary: State of cursor does not change properly during drag-and-drop on Wayland
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: wayland-generic (show other bugs)
Version: master
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-28 13:04 UTC by Patrick Silva
Modified: 2022-05-21 07:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
drag and drop on Wayland (2.76 MB, video/x-matroska)
2022-03-28 13:04 UTC, Patrick Silva
Details
drag and drop on X11 (1.21 MB, video/webm)
2022-03-28 13:05 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2022-03-28 13:04:47 UTC
Created attachment 147785 [details]
drag and drop on Wayland

SUMMARY
A green icon appears near Breeze cursor when I'm allowed to drop something dragged on X11.
However, on Wayland this green icon does not appear. Please watch the attached videos showing the results on X11 and Wayland.

EXPECTED RESULT
state of cursor should change properly on Wayland too

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.24.80
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3
Kernel Version: 5.11.0-40-generic (64-bit)
Graphics Platform: Wayland
Processors: 4 × Intel® Core™ i3-3110M CPU @ 2.40GHz
Memory: 7,7 GiB of RAM
Graphics Processor: Mesa DRI Intel® HD Graphics 4000
Comment 1 Patrick Silva 2022-03-28 13:05:36 UTC
Created attachment 147786 [details]
drag and drop on X11
Comment 2 Patrick Silva 2022-03-28 14:17:05 UTC
As we can observe in the video recorded on Wayland, cursor also unexpectedly changes to a hand shaped one while the icon is dragged.
State of cursor changes as expected when I drag text to a text box (in this bug report, for example) in my internet browser (Opera) running on Xwayland.
Comment 3 Patrick Silva 2022-05-18 11:44:46 UTC
Fixed on neon unstable. \o/

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.24.80
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.4
Graphics Platform: Wayland
Comment 4 Méven Car 2022-05-21 07:23:34 UTC
(In reply to Patrick Silva from comment #3)
> Fixed on neon unstable. \o/
> 

:D

And thank you again for great bug reports !